Bug 86169 - UI: completion of function name with a dot is broken or may crash
Summary: UI: completion of function name with a dot is broken or may crash
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Winfried Donkers (retired)
URL:
Whiteboard: target:4.4.0.0.beta2 target:4.3.5
Keywords: regression
Depends on:
Blocks:
 
Reported: 2014-11-11 19:49 UTC by Laurent BP
Modified: 2014-12-18 16:53 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Laurent BP 2014-11-11 19:49:05 UTC
Description: completion of function name may crash or give wrong result if function name contains a dot and you type a part of the name shorter than the dot position

Steps to reproduce:
1. Enter "=", then the beginning of the name of a function containing a dot, for instance type "=bet" for function BETA.DIST().
2. Type enter

Expected behavior:
cell should contain the complete name of the function with "=" at the beginning and parenthesis and cursor between parenthesis
=BETA.DIST()

Observed behavior:
"=" is missing and cursor is not in the right position (its position depends of the number of typed characters)
BETA.DIST()

In some condition, I obtained a crash, but I was unable to give a reproducible procedure. =expo 

¤ On 4.3 branch:
#Reproduced with:
- Version: 4.3.2.0.0+
Build ID: 4744400afc9c2be99f62b12180fa33b43acef564
TinderBox: Win-x86@42, Branch:libreoffice-4-3, Time: 2014-08-11_06:41:42
- Version: 4.3.2.2
Build ID: edfb5295ba211bd31ad47d0bad0118690f76407d
#NOT reproduced with:
- Version: 4.3.1.1
Build ID: c4b15cd4d00dec6b266fa830b4ba73e31ae6ce73

¤ On 4.4 branch:
#NOT reproduced with:
- Version: 4.4.0.0.alpha0+
Build ID: abc28ffc04067eb24840fbf564c311aaee10f84d
TinderBox: Win-x86@39, Branch:master, Time: 2014-07-15_07:18:40 
#Reproduced with:
- Version: 4.4.0.0.alpha2+
Build ID: 6143fa5a89d9528fc11fed1e7fe96b9280d411a4
TinderBox: Win-x86@42, Branch:master, Time: 2014-11-10_22:48:21

- With Version: 4.4.0.0.alpha0+
Build ID: ad85ce18d3939170e5ef7b1a1f8e5dda2c8aeb9c
TinderBox: Win-x86@39, Branch:master, Time: 2014-08-11_05:21:44 
The behavior is different as it gives: 
Assertion Failed !
Program: ...\URE\bin\sal3.dll
File: ...\master\sal\rtl\strtmpl.cxx
Line: 1350
Expression: false 

This regression may have been introduced by resolution of bug 82241 or bug 80058
Comment 1 f.rr 2014-11-11 20:31:56 UTC
Reproduced on LO 4.3.3.2 and 4.4.0.0.alfa2 MacOSX 10.10.
Comment 2 Jacques Guilleron 2014-11-12 01:51:14 UTC
Hi Laurent,

I reproduce too with:
LO 4.3.3.1 Build ID: 7d55112667c8fcddb67bc3803796b46c93aa56b0
LO 4.3.2.2 Build ID: edfb5295ba211bd31ad47d0bad0118690f76407d
On LO 4.4.0.0.alpha1+
Build ID: a8c24b25fd9fb21097a08a22797bf61b59099ea1
TinderBox: Win-x86@39, Branch:master, Time: 2014-10-21_06:33:33
I got the same meesage: Assertion failed
Os: Windows 7 Home Premium

best regards,

Jacques
Comment 3 Jean-Baptiste Faure 2014-11-12 05:49:32 UTC
Reproducible for me with version 4.4.0.0.alpha2+ built at home under Ubuntu 14.10 x86-64. Build ID: 880310280901f7fc2966724265b7ba331244c07e

If I launch LibreOffice in a terminal, I get

debug:21897:1: or

when I start to type =or (for =ordonnee.origine in French)

Note: not sure if it is linked, if I type "=ordonnee.o" and hit enter, I get "ordonnee.ORDONNEE.ORIGINE()" instead of "ORDONNEE.ORIGINE()"

Best regards. JBF
Comment 4 Winfried Donkers (retired) 2014-11-12 07:27:12 UTC
As I worked on this before, I should be able to pinpoint the problem and hope to resolve it.
Comment 5 Commit Notification 2014-11-27 14:38:58 UTC
Winfried Donkers committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5456abc4d734583664a55c01a0e750e3051b03c9

fdo#86169 fix completion of function name crash

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2014-11-27 14:40:10 UTC
Winfried Donkers committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2618f8a724481b1a47a0ec8ca6ed2cad6fc21597&h=libreoffice-4-4

fdo#86169 fix completion of function name crash

It will be available in 4.4.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2014-11-27 14:52:57 UTC
Winfried Donkers committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d4aa91aa4cf7a01915cb9a2b1e4d52e20bf7454b&h=libreoffice-4-3

fdo#86169 fix completion of function name crash

It will be available in 4.3.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Eike Rathke 2014-11-27 15:03:05 UTC
Pending review for 4-3-5 at https://gerrit.libreoffice.org/13155
Comment 9 Commit Notification 2014-12-02 14:05:41 UTC
Winfried Donkers committed a patch related to this issue.
It has been pushed to "libreoffice-4-3-5":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7a93554500f82adec8f89fd4a137af07ec502013&h=libreoffice-4-3-5

fdo#86169 fix completion of function name crash

It will be available in 4.3.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Laurent BP 2014-12-03 20:25:25 UTC
Verified with Version: 4.5.0.0.alpha0+
Build ID: 975a054cc2eeb04516f1f1ef3c9064b2f3cd9456
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:master, Time: 2014-12-02_22:25:27